BEGIN YSCPTN

IF ~InParty("Yasraena")
See ([PC])
Global("TalkedToYSCPTN","GLOBAL",0)
Global("MetDivalir","GLOBAL",0)~
THEN BEGIN UnknownDivalir
 SAY ~I am on business from the Matron Mothers. Step aside!~
 ++ ~Of course.~ DO ~SetGlobal("TalkedToYSCPTN","GLOBAL",1)~ EXIT
 ++ ~Fool! No one speaks to me in that tone!~ DO ~SetGlobal("TalkedToYSCPTN","GLOBAL",1)~ GOTO UnknownDivalir1a
END

IF ~~ THEN BEGIN UnknownDivalir1a
 SAY ~You will die for your insolence!~
 IF ~~ THEN DO ~SetGlobal("YasraenaGuardsFight","GLOBAL",1)~ EXIT
END



IF ~InParty("Yasraena")
See ([PC])
Global("TalkedToYSCPTN","GLOBAL",0)
Global("MetDivalir","GLOBAL",1)~
THEN BEGIN KnownDivalir
 SAY ~I am on business from the Matron Mothers. Step aside!~
 ++ ~You will release your prisoner, Divalir, to me or face the consequences!~ DO ~SetGlobal("TalkedToYSCPTN","GLOBAL",1)~ GOTO KnownDivalir1a
 ++ ~That prisoner you have, Divalir, is really a surface elf in disguise!~ DO ~SetGlobal("TalkedToYSCPTN","GLOBAL",1)~ GOTO KnownDivalir2a
END

IF ~~ THEN BEGIN KnownDivalir1a
 SAY ~I will have your heart before the Matron Mothers for barring my way in Ust Natha!~
 IF ~~ THEN DO ~SetGlobal("YasraenaGuardsFight","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN KnownDivalir2a
 SAY ~Indeed? The Matron Mothers must know of this immediately.  Lloth bless you for your assistance!~
 IF ~~ THEN DO ~SetGlobal("PCBetrayedYasraena","GLOBAL",1)EscapeArea()~ EXIT
END



IF ~InParty("Yasraena")
See ([PC])
Global("TalkedToYSCPTN","GLOBAL",1)
Global("MetDivalir","GLOBAL",0)~
THEN BEGIN PesteringGuards
 SAY ~I will have your heart before the Matron Mothers for barring my way in Ust Natha!~
 IF ~~ THEN DO ~SetGlobal("YasraenaGuardsFight","GLOBAL",1)~ EXIT
END


IF ~InParty("Yasraena")
See ([PC])
Global("TalkedToYSCPTN","GLOBAL",1)
Global("MetDivalir","GLOBAL",1)~
THEN BEGIN KnowDivalirThisTime
SAY ~What are you doing back here? I told you to leave!~
 ++ ~You will release your prisoner, Divalir, to me or face the consequences!~ DO ~SetGlobal("TalkedToYSCPTN","GLOBAL",1)~ GOTO KnowDivalirThisTime1a
 ++ ~But I have important news for you. That prisoner you have, Divalir, is really a surface elf in disguise!~ DO ~SetGlobal("TalkedToYSCPTN","GLOBAL",1)~ GOTO KnowDivalirThisTime2a
END
IF ~~ THEN BEGIN KnowDivalirThisTime1a
 SAY ~I will have your heart before the Matron Mothers for barring my way in Ust Natha!~
 IF ~~ THEN DO ~SetGlobal("YasraenaGuardsFight","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN KnowDivalirThisTime2a
 SAY ~Indeed? The Matron Mothers must know of this immediately.  Lloth bless you for your assistance!~
 IF ~~ THEN DO ~SetGlobal("PCBetrayedYasraena","GLOBAL",1)EscapeArea()~ EXIT
END

